void sigx_single()
{
//=========Macro generated from canvas: c1/
//=========  (Sat Feb  4 07:28:38 2023) by ROOT version 6.18/04
   TCanvas *c1 = new TCanvas("c1", "",892,22,800,500);
   c1->Range(-68.75001,-0.0375,618.75,0.3375);
   c1->SetFillColor(0);
   c1->SetBorderMode(0);
   c1->SetBorderSize(2);
   c1->SetGridx();
   c1->SetGridy();
   c1->SetFrameBorderMode(0);
   c1->SetFrameBorderMode(0);
   
   Double_t Graph0_fx1001[15] = {
   27.36,
   39.86,
   64.86,
   89.86,
   114.86,
   139.86,
   164.86,
   214.86,
   264.86,
   314.86,
   364.86,
   414.86,
   464.86,
   514.86,
   564.86};
   Double_t Graph0_fy1001[15] = {
   0.04379234,
   0.04813523,
   0.05585238,
   0.06272545,
   0.0699821,
   0.0763386,
   0.08207108,
   0.09288046,
   0.1018759,
   0.1113299,
   0.1177003,
   0.1263453,
   0.1331565,
   0.1396095,
   0.1471552};
   Double_t Graph0_fex1001[15] = {
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0,
   0};
   Double_t Graph0_fey1001[15] = {
   0.0002905998,
   0.0003050598,
   0.0003665261,
   0.0004156088,
   0.0004528556,
   0.0005039862,
   0.00054463,
   0.0005971229,
   0.0006535428,
   0.0007260557,
   0.0007627299,
   0.0007969203,
   0.000869752,
   0.0008863666,
   0.0009616415};
   TGraphErrors *gre = new TGraphErrors(15,Graph0_fx1001,Graph0_fy1001,Graph0_fex1001,Graph0_fey1001);
   gre->SetName("Graph0");
   gre->SetTitle("GM Resolutin (Module3 Row16)");
   gre->SetFillStyle(1000);
   gre->SetMarkerStyle(21);
   
   TH1F *Graph_Graph01001 = new TH1F("Graph_Graph01001","GM Resolutin (Module3 Row16)",100,0,550);
   Graph_Graph01001->SetMinimum(0);
   Graph_Graph01001->SetMaximum(0.3);
   Graph_Graph01001->SetDirectory(0);
   Graph_Graph01001->SetStats(0);

   Int_t ci;      // for color index setting
   TColor *color; // for color definition with alpha
   ci = TColor::GetColor("#000099");
   Graph_Graph01001->SetLineColor(ci);
   Graph_Graph01001->GetXaxis()->SetTitle("Drift Length: z [mm]");
   Graph_Graph01001->GetXaxis()->SetLabelFont(22);
   Graph_Graph01001->GetXaxis()->SetTitleSize(0.045);
   Graph_Graph01001->GetXaxis()->SetTitleOffset(1);
   Graph_Graph01001->GetXaxis()->SetTitleFont(22);
   Graph_Graph01001->GetYaxis()->SetTitle("#sigma_{x} [mm]");
   Graph_Graph01001->GetYaxis()->SetLabelFont(22);
   Graph_Graph01001->GetYaxis()->SetTitleSize(0.045);
   Graph_Graph01001->GetYaxis()->SetTitleOffset(1.2);
   Graph_Graph01001->GetYaxis()->SetTitleFont(22);
   Graph_Graph01001->GetZaxis()->SetLabelFont(42);
   Graph_Graph01001->GetZaxis()->SetLabelSize(0.035);
   Graph_Graph01001->GetZaxis()->SetTitleSize(0.035);
   Graph_Graph01001->GetZaxis()->SetTitleOffset(1);
   Graph_Graph01001->GetZaxis()->SetTitleFont(42);
   gre->SetHistogram(Graph_Graph01001);
   
   
   TF1 *fun1002 = new TF1("fun","sqrt([0]**2+[1]**2*x)",200,600, TF1::EAddToList::kNo);
   fun1002->SetFillColor(19);
   fun1002->SetFillStyle(0);
   fun1002->SetLineColor(2);
   fun1002->SetLineWidth(2);
   fun1002->SetLineStyle(2);
   fun1002->SetChisquare(3.553484);
   fun1002->SetNDF(6);
   fun1002->GetXaxis()->SetLabelFont(22);
   fun1002->GetXaxis()->SetTitleSize(0.045);
   fun1002->GetXaxis()->SetTitleOffset(1);
   fun1002->GetXaxis()->SetTitleFont(22);
   fun1002->GetYaxis()->SetLabelFont(22);
   fun1002->GetYaxis()->SetTitleSize(0.045);
   fun1002->GetYaxis()->SetTitleOffset(1.2);
   fun1002->GetYaxis()->SetTitleFont(22);
   fun1002->SetParameter(0,0.02691279);
   fun1002->SetParError(0,0.003571721);
   fun1002->SetParLimits(0,0,0);
   fun1002->SetParameter(1,0.006052425);
   fun1002->SetParError(1,4.675296e-05);
   fun1002->SetParLimits(1,0,0);
   fun1002->SetParent(gre);
   gre->GetListOfFunctions()->Add(fun1002);
   gre->Draw("ap");
   
   TPaveText *pt = new TPaveText(330,0.234,530,0.294,"br");
   pt->SetFillColor(0);
   pt->SetTextAlign(12);
   pt->SetTextFont(132);
   TText *pt_LaTex = pt->AddText("#chi^{2}/ndf = 3.55/6");
   pt_LaTex = pt->AddText("#sigma_{0} =   26.9 #pm  3.6 [#mum]");
   pt_LaTex = pt->AddText("C_{D}/#sqrt{N_{eff}} =   19.1 #pm 0.15 [#mum/#sqrt{cm}]");
   pt->Draw();
   
   pt = new TPaveText(330,0.234,530,0.294,"br");
   pt->SetFillColor(0);
   pt->SetTextAlign(12);
   pt->SetTextFont(132);
   pt_LaTex = pt->AddText("#chi^{2}/ndf = 3.55/6");
   pt_LaTex = pt->AddText("#sigma_{0} =   26.9 #pm  3.6 [#mum]");
   pt_LaTex = pt->AddText("C_{D}/#sqrt{N_{eff}} =   19.1 #pm 0.15 [#mum/#sqrt{cm}]");
   pt->Draw();
   TLatex *   tex = new TLatex(100,0.24,"#sigma_{x} = #sqrt{#sigma_{0}^{2}+(C_{D}^{2}/N_{eff}) z}");
   tex->SetTextAlign(12);
   tex->SetTextFont(132);
   tex->SetLineWidth(2);
   tex->Draw();
   
   pt = new TPaveText(0.2656892,0.9367722,0.7343108,0.995,"blNDC");
   pt->SetName("title");
   pt->SetBorderSize(0);
   pt->SetFillColor(0);
   pt->SetFillStyle(0);
   pt->SetTextFont(22);
   pt_LaTex = pt->AddText("GM Resolutin (Module3 Row16)");
   pt->Draw();
   c1->Modified();
   c1->cd();
   c1->SetSelected(c1);
}
